Bug 993521 - Duplicated artifacts in maven repo for EAP 640
Duplicated artifacts in maven repo for EAP 640
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Maven Repository (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: jboss-set
Nikoleta Ziakova
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 02:22 EDT by Nikoleta Ziakova
Modified: 2016-09-15 12:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikoleta Ziakova 2013-08-06 02:22:19 EDT
Description of problem:
http://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Repository/job/eap-60-repository-maven-check-unique-artifactId/48/artifact/test-output.txt

Expected duplications (https://bugzilla.redhat.com/show_bug.cgi?id=916573):
  jboss-component-management
  jboss-component-version-master
  jboss-dependency-management-all
  jboss-dependency-management-build
  jboss-dependency-management-eap
  jboss-parent
  jboss-project-dependency-management
  jboss-project-dependency-relocations
  jsf-impl

Unexpected duplications:
  commons-parent
  hornetq-commons
  hornetq-journal
  hornetq-pom
  jboss-logmanager
  jbossws-parent
  jcip-annotations
  joda-time
  openws
  xml-resolver
  xmltooling

Version-Release number of selected component:
EAP 6.1.1 ER4

Is the list of expected duplications from EAP 6.1.0 accurate?
Can this issue be fixed for EAP 6.2.0?
Comment 1 Paul Gier 2013-08-12 12:49:09 EDT
Yes, I think the list of expected duplications is correct, and this should be fixed for 6.2.0.
Comment 2 Nikoleta Ziakova 2013-08-16 03:13:12 EDT
Unexpected duplications for EAP 6.1.1 ER6
apache
commons-parent
jboss-logmanager
jbossws-parent
jcip-annotations
xml-resolver
Comment 3 Nikoleta Ziakova 2013-08-22 08:14:55 EDT
Results for EAP 6.1.1 ER7 are the same as in ER6 + commons-httpclient
Comment 4 Nikoleta Ziakova 2013-10-04 08:05:32 EDT
Results in EAP 6.2.0 ER4:

antlr
apache
commons-httpclient
commons-parent
hornetq-commons
hornetq-core-client
hornetq-jms-client
hornetq-jms-server
hornetq-journal
hornetq-pom
hornetq-ra
hornetq-server
httpserver
javassist
jboss-logmanager
jbossws-api
jbossws-parent
jcip-annotations
staxmapper
weld-parent
xml-resolver
Comment 8 Nikoleta Ziakova 2013-10-31 10:18:27 EDT
22 duplicated artifacts in EAP 6.2.0 ER7 Maven repo zip:

antlr
apache
commons-httpclient
commons-parent
dom4j
hornetq-commons
hornetq-core-client
hornetq-jms-client
hornetq-jms-server
hornetq-journal
hornetq-pom
hornetq-ra
hornetq-server
httpserver
javassist
jboss-logmanager
jbossws-api
jbossws-parent
jcip-annotations
staxmapper
weld-parent
xml-resolver
Comment 9 Nikoleta Ziakova 2014-02-12 08:16:19 EST
Update for EAP 6.3.0 DR:

apache
commons-httpclient
commons-parent
hornetq-commons
hornetq-journal
hornetq-pom
httpserver
jboss-logmanager
jbossws-parent
netty
staxmapper
weld-parent
Comment 10 Nikoleta Ziakova 2014-04-08 08:02:58 EDT
8 unexpected duplications in 6.3.0 ER1:

apache
commons-parent
jboss-logging
jbossws-api
jbossws-parent
jsf-project
plexus
weld-parent

Note You need to log in before you can comment on or make changes to this bug.